Subject: [bug#31548] [PATCH] gnu: sbcl-stumpwm: Update to 18.05.

From: Oleg Pykhalov <[email-masked]>
Date: Tue, 19 Jun 2018 00:39:26 +0300

Hello Andy,

Andy Patterson <[email-masked]> writes:

[…]

>> Changing “name” field unfortunatelly breaks the build.  I didn't
>> investigate a reason yet and I don't want to push without changing
>> “name” field because users will install the “stumpwm-next” by default.
>
> I haven't looked much into your patch, but this might be because the
> asdf build system uses the package name to guess where the system will
> be defined. If the package name differs from the system name, this
> behaviour can be overridden using the #:asd-system-name argument.
>
> Hope that helps

It does, thank you.  For the record ‘#:asd-system-name "stumpwm"’.

Upstream pushed a new release.  I'll test it during current week and
push the following patch probably.

From 1e7ee0f57d46161cb655c3adcaf0f20ef12f9bdb Mon Sep 17 00:00:00 2001
From: Oleg Pykhalov <[email-masked]>
Date: Tue, 19 Jun 2018 00:27:30 +0300
Subject: [PATCH] gnu: sbcl-stumpwm: Update to 18.05.

* gnu/packages/lisp.scm (sbcl-stumpwm): Update to 18.05.
---
 gnu/packages/lisp.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index 258e9827a..720ac070c 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -944,18 +944,19 @@ from other CLXes around the net.")
 (define-public sbcl-stumpwm
   (package
     (name "sbcl-stumpwm")
-    (version "1.0.0")
+    (version "18.05")
     (source (origin
               (method url-fetch)
               (uri (string-append
                     "https://github.com/stumpwm/stumpwm/archive/"
                     version ".tar.gz"))
               (sha256
-               (base32 "1maxp98gh64az3d9vz9br6zdd6rc9fmj2imvax4by85g6kxvdz1i"))
+               (base32 "1n2gaab3lwgf5r1hmwdcw13dkv9xdd7drn2shx28kfxvhdc9kbb9"))
               (file-name (string-append "stumpwm-" version ".tar.gz"))))
     (build-system asdf-build-system/sbcl)
     (inputs `(("cl-ppcre" ,sbcl-cl-ppcre)
-              ("clx" ,sbcl-clx)))
+              ("clx" ,sbcl-clx)
+              ("alexandria" ,sbcl-alexandria)))
     (outputs '("out" "lib"))
     (arguments
      '(#:phases
-- 
2.17.1

I don't know what to do with ‘sbcl-stumpwm-next’ package.  I think we
shouldn't push it because of our policy to stick with stable versions
for recipes.  But anybody fill free to ping me if you need next version.

Regards,
Oleg.